Subject: [OAUTH-WG] Where is Device Flow Now ?

From: Oleg Gryb <[email-masked]>
Date: Mon, 20 Oct 2014 14:33:58 -0700

I was looking for "device flow" recently that was present in versions 05 and 06, but could not find anything except an old from Eran message below. Has it been moved anywhere else as Eran has mentioned below? Please provide a pointer if so. 

I could see that Google still uses it: Using OAuth 2.0 for Devices - Google Accounts Authentication and Authorization — Google Developers 

Using OAuth 2.0 for Devices - Google Accounts Authentica...
This document is for you if: You are writing an installed app for a platform other than Android or iOS, and   
View on developers.google.com Preview by Yahoo  

Sorry, if I've missed anything,

Oleg

==== Old Message From Eran ====

OAUTH-WG] Device flow to move to an extension
________________________________
 
	* From: Eran Hammer-Lahav <eran at hueniverse.com>
	* To: "OAuth WG (oauth at ietf.org)" <oauth at ietf.org>
	* Date: Fri, 11 Jun 2010 08:33:27 -0700
________________________________
 
Unlike the rest of the flows, the device flow lacks deployment experience and is still likely to change. It also uses a very different architecture than the rest of the flows (which becomes more obvious in my -07 rewrite). Unless there is strong objection, I am going to remove it from the core spec and republish it as a new draft. In general, I am going to iterate through the spec in the next couple weeks and move unstable (and non-essential) features out to extension specs. EHL 
________________________________